<?php

if ( ! class_exists( '_WP_Editors' ) ) {
	require ABSPATH . WPINC . '/class-wp-editor.php';
}

$strings = 'tinyMCE.addI18n( "' . _WP_Editors::$mce_locale . '.panorama360", {
	buttonTitle: "' . esc_js( __( 'Insert 360° panorama', 'panorama360' ) ) . '",
	submitButton: "' . esc_js( __( 'Insert Shortcode', 'panorama360' ) ) . '",
	cancelButton: "' . esc_js( __( 'Cancel', 'panorama360' ) ) . '",
	image: "' . esc_js( __( 'Image', 'panorama360' ) ) . '",
	imageUpload: "' . esc_js( __( 'Upload', 'panorama360' ) ) . '",
	imageRemove: "' . esc_js( __( 'Remove', 'panorama360' ) ) . '",
	imageAlt: "' . esc_js( __( 'Image Alt Attribute', 'panorama360' ) ) . '",
	imageWidth: "' . esc_js( __( 'Image Width', 'panorama360' ) ) . '",
	imageHeight: "' . esc_js( __( 'Image Height', 'panorama360' ) ) . '",
	imageType: "' . esc_js( __( 'Panorama Type', 'panorama360' ) ) . '",
	imageTypeDescription: "' . esc_js( __( 'Determine the type of rotation of the panorama image.', 'panorama360' ) ) . '",
	cssStyle: "' . esc_js( __( 'Extra CSS Style', 'panorama360' ) ) . '",
	cssStyleDescription: "' . esc_js( __( 'Add extra CSS style to the panorama container.', 'panorama360' ) ) . '",
	startPosition: "' . esc_js( __( 'Start Position', 'panorama360' ) ) . '",
	startPositionDescription: "' . esc_js( __( 'Initial horizontal position of the panoramic viewer.', 'panorama360' ) ) . '",
	title: "' . esc_js( __( 'Title', 'panorama360' ) ) . '",
	titleLink: "' . esc_js( __( 'Title Link', 'panorama360' ) ) . '",
	titleLinkTarget: "' . esc_js( __( 'Title Link Target', 'panorama360' ) ) . '",
	titleLinkTargetSame: "' . esc_js( __( 'Open in same tab/window', 'panorama360' ) ) . '",
	titleLinkTargetNew: "' . esc_js( __( 'Open in new tab/window', 'panorama360' ) ) . '",
	mouseWheel: "' . esc_js( __( 'Mouse Wheel', 'panorama360' ) ) . '",
	mouseWheelDescription: "' . esc_js( __( 'Determine if the panorama can be controlled with the mouse wheel scroll.', 'panorama360' ) ) . '",
	mouseWheelMultiplier: "' . esc_js( __( 'Mouse Wheel Multiplier', 'panorama360' ) ) . '",
	mouseWheelMultiplierDescription: "' . esc_js( __( 'Determine the mouse wheel scrolling factor.', 'panorama360' ) ) . '",
	slidingControls: "' . esc_js( __( 'Sliding Controls', 'panorama360' ) ) . '",
	slidingControlsDescription: "' . esc_js( __( 'Determine if the sliding controls are visible at the bottom of the panoramic viewer.', 'panorama360' ) ) . '",
	slidingDirection: "' . esc_js( __( 'Automatic Sliding', 'panorama360' ) ) . '",
	slidingDirectionNo: "' . esc_js( __( 'No', 'panorama360' ) ) . '",
	slidingDirectionLeft: "' . esc_js( __( 'Left side', 'panorama360' ) ) . '",
	slidingDirectionRight: "' . esc_js( __( 'Right side', 'panorama360' ) ) . '",
	slidingInterval: "' . esc_js( __( 'Sliding Interval', 'panorama360' ) ) . '",
	slidingIntervalDescription: "' . esc_js( __( 'Sets the slide timer refresh interval (in miliseconds).', 'panorama360' ) ) . '",
	slidingFactor: "' . esc_js( __( 'Sliding Factor', 'panorama360' ) ) . '",
	slidingFactorDescription: "' . esc_js( __( 'Sets the slide movement factor, slows it down if lower (between 0.1 and 1).', 'panorama360' ) ) . '",
	blockContextMenu: "' . esc_js( __( 'Block Context Menu', 'panorama360' ) ) . '",
	blockContextMenuDescription: "' . esc_js( __( 'Determines if the context menu is blocked (right click on the panoramic viewer).', 'panorama360' ) ) . '",
	popupDescription: "' . esc_js( __( 'For more details please consult the ', 'panorama360' ) ) . '<a href=\"http://docs.liviucerchez.com/panorama360/\" target=\"_blank\">' . __( 'complete documentation', 'panorama360' ) . '</a>' . '"
});';
